package kr.co.tadadang.user.native_bridge

import android.app.Activity
import android.webkit.WebView

interface ExitAppVCDelegate {
    fun exitAppAction()
}
class ExitApp: _BaseBridge {
    override val cmd: String
        get() = "exitApp"

    override fun startAction(activity: Activity?, webView: WebView?, data: String?, callback: String?) {
        if(activity != null && activity is ExitAppVCDelegate && webView != null) {
            activity.runOnUiThread {
                activity.exitAppAction()
            }
        }
    }
}